Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » Agent Controller on AIX
Agent Controller on AIX [message #67323] Fri, 21 April 2006 10:47 Go to next message
Eclipse User
Originally posted by: nanee_iv.yahoo.com

Hi,

I have a requirement to profile a JBoss app running on AIX box. I
installed Agent Controller on AIX and TPTP on my local PC (Windows XP OS
and Eclipse 3.1.2). At run time, I want to connect from my local Eclipse
to the agent controller running on remote AIX box to see the execution
times.

The issue I have is I am not able to start RAServer on AIX. The error desc
is..

Starting Agent Controller
exec(): 0509-036 Cannot load program RAServer because of the following
errors:
0509-022 Cannot load module ../lib/libhcclserc.so.
0509-150 Dependent module ../lib/libxerces-c.so could not be
loaded.
0509-101 The module has too many section headers
or the file is damaged.
0509-022 Cannot load module RAServer.
0509-150 Dependent module ../lib/libhcclserc.so could not be
loaded.
0509-022 Cannot load module .
RAServer failed to start

Here is what I have in path and libpath defined in .profile

export JAVA_HOME=/usr/java14
export RASERVER_HOME=/mmusdk/tptp4101
PATH=$JAVA_HOME/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:$HOME/b in:/usr/bin/X11:/sbin:$RASERVER_HOME/bin:.
export
LIBPATH=/usr/java14/jre/bin/classic:/usr/java14/jre/bin:$RAS ERVER_HOME/lib

export PATH
export LIBPATH

My java version is ..

java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX build ca142-20050609 (JIT
enabled: jitc))

In the installation of AgenetController document, it says, one of the
pre-requisite is to set up the tptp runtime. Is it necessary to set this
up on AIX when I am going to use my local Eclipse (from windows xp)?

Would appreciate any kind of help.

Regards,
Sateesh
Re: Agent Controller on AIX [message #67516 is a reply to message #67323] Fri, 21 April 2006 15:09 Go to previous messageGo to next message
Randy D. Smith is currently offline Randy D. Smith
Messages: 394
Registered: July 2009
Senior Member
Sateesh Chandra wrote:
> Hi,
>
> I have a requirement to profile a JBoss app running on AIX box. I
> installed Agent Controller on AIX and TPTP on my local PC (Windows XP OS
> and Eclipse 3.1.2). At run time, I want to connect from my local Eclipse
> to the agent controller running on remote AIX box to see the execution
> times.
> The issue I have is I am not able to start RAServer on AIX. The error
> desc is..
> Starting Agent Controller
> exec(): 0509-036 Cannot load program RAServer because of the following
> errors:
> 0509-022 Cannot load module ../lib/libhcclserc.so.
> 0509-150 Dependent module ../lib/libxerces-c.so could not be
> loaded.
> 0509-101 The module has too many section headers
> or the file is damaged.
> 0509-022 Cannot load module RAServer.
> 0509-150 Dependent module ../lib/libhcclserc.so could not be
> loaded.
> 0509-022 Cannot load module .
> RAServer failed to start
>
> Here is what I have in path and libpath defined in .profile
>
> export JAVA_HOME=/usr/java14
> export RASERVER_HOME=/mmusdk/tptp4101
> PATH=$JAVA_HOME/bin:/usr/bin:/etc:/usr/sbin:/usr/ucb:$HOME/b in:/usr/bin/X11:/sbin:$RASERVER_HOME/bin:.
>
> export
> LIBPATH=/usr/java14/jre/bin/classic:/usr/java14/jre/bin:$RAS ERVER_HOME/lib
>
> export PATH
> export LIBPATH
>
> My java version is ..
> java version "1.4.2"
> Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
> Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX build ca142-20050609 (JIT
> enabled: jitc))
>
> In the installation of AgenetController document, it says, one of the
> pre-requisite is to set up the tptp runtime. Is it necessary to set this
> up on AIX when I am going to use my local Eclipse (from windows xp)?
>
> Would appreciate any kind of help.
> Regards,
> Sateesh
>

I have next to no AIX experience...so when one of the IBM guys chimes
in, I'll shut up and defer to the experts. Until then, to see if we can
get you further along... no, for just running the RAC, you don't need
the whole TPTP runtime... there's no need.

How are you starting RAServer? via the executable? or the RAStart.sh??

From what location are you trying to start it? (What I mean is, are you
IN the RASERVER_HOME/bin directory??) If not, try doing it from there.

Everything you have looks right (to me). The odd thing is that your
LD_LIBRARY_PATH (oops... I guess AIX calls taht LIBPATH?!?) is absolute,
whereas the failed dependency uses the relative ../lib ...

Can you check $RASERVER_HOME/lib/libhcclserc* file(s) and see what the
permissions are??

--
RDS

Randy D. Smith randy (dot) d (dot) smith (at) intel (dot) com
Eclipse TPTP Committer, Platform Proj (data collection/agent controller)
Re: Agent Controller on AIX [message #67537 is a reply to message #67516] Fri, 21 April 2006 15:42 Go to previous messageGo to next message
Eclipse User
Originally posted by: nanee_iv.yahoo.com

Hi Randy,

Thanks for responding.

I am executing via RAStart.sh and I am in bin directory while executing
this.

On the permissions.. here is the ls -al output from lib directory.

-rwxrwxrwx 1 auser agrp 40664 Jan 30 09:57 config.jar
-rwxrwxrwx 1 auser agrp 247738 Nov 17 00:33 libcbe.so
-rwxrwxrwx 1 auser agrp 35714 Jan 26 14:52 libhcbnd.so
-rwxrwxrwx 1 auser agrp 44528 Jan 26 14:52 libhcclco.so
-rwxrwxrwx 1 auser agrp 4591 Nov 17 00:27 libhccldt.so
-rwxrwxrwx 1 auser agrp 20357 Nov 17 00:26 libhccls.so
-rwxrwxrwx 1 auser agrp 131742 Nov 17 00:28 libhcclserc.so
-rwxrwxrwx 1 auser agrp 30760 Nov 17 00:27 libhcclsert.so
-rwxrwxrwx 1 auser agrp 59795 Nov 17 00:27 libhcclsm.so
-rwxrwxrwx 1 auser agrp 43003 Nov 17 00:31 libhcjbnd.so
-rwxrwxrwx 1 auser agrp 26182 Nov 17 00:28 libhclaunch.so
-rwxrwxrwx 1 auser agrp 17837 Nov 17 00:33 libhcthread.so
-rwxrwxrwx 1 auser agrp 237042 Nov 17 00:33 libpiAgent.so
-rwxrwxrwx 1 auser agrp 21793 Nov 17 00:25
libswt-cde-motif-3138.a
-rwxrwxrwx 1 auser agrp 1314339 Nov 17 00:25 libswt-motif-3138.a
-rwxrwxrwx 1 auser agrp 18 Jan 26 16:27 libxerces-c.so
-rwxrwxrwx 1 auser agrp 9087537 Nov 17 00:33 libxerces-c24.0.so
-rwxrwxrwx 1 auser agrp 18 Jan 26 16:27 libxerces-c24.so

Do you see anything incorrect?

Regards,
Sateesh
Re: Agent Controller on AIX [message #67647 is a reply to message #67537] Fri, 21 April 2006 17:29 Go to previous messageGo to next message
Thayaparan Shanmugaratnam is currently offline Thayaparan Shanmugaratnam
Messages: 12
Registered: July 2009
Junior Member
Hi Sateesh,

I'm not familiar with the inner workings of the libraries, and how they
are packaged, but I know that libxerces-c.so, and libxerces-c24.so are
supposed to be links to libxerces-c24.0.so.

lrwxrwxrwx 1 root system 18 Apr 19 17:21 libxerces-c.so ->
libxerces-c24.0.so
-rwxr-xr-x 1 root system 9087537 Apr 19 16:28 libxerces-c24.0.so
lrwxrwxrwx 1 root system 18 Apr 19 17:21 libxerces-c24.so
-> libxerces-c24.0.so

I would suggest downloading a stable 4.2.0 driver, and trying with that.
A colleague of mine just tried extracting the files and everything seems
to be working just fine, using a current build.

Hope this helps.

Thay Shanmugaratnam
Re: Agent Controller on AIX [message #67666 is a reply to message #67647] Fri, 21 April 2006 20:05 Go to previous messageGo to next message
Randy D. Smith is currently offline Randy D. Smith
Messages: 394
Registered: July 2009
Senior Member
Thay Shanmugaratnam wrote:
> Hi Sateesh,
>
> I'm not familiar with the inner workings of the libraries, and how they
> are packaged, but I know that libxerces-c.so, and libxerces-c24.so are
> supposed to be links to libxerces-c24.0.so.
>
> lrwxrwxrwx 1 root system 18 Apr 19 17:21 libxerces-c.so
> -> libxerces-c24.0.so
> -rwxr-xr-x 1 root system 9087537 Apr 19 16:28 libxerces-c24.0.so
> lrwxrwxrwx 1 root system 18 Apr 19 17:21
> libxerces-c24.so -> libxerces-c24.0.so
>
> I would suggest downloading a stable 4.2.0 driver, and trying with
> that. A colleague of mine just tried extracting the files and
> everything seems to be working just fine, using a current build.
> Hope this helps.
>
> Thay Shanmugaratnam
>
>

Ahhh, so is there an "extract maintaining links" option specific to AIX?
His other two libxerces were also 18 bytes, so they had the symbolic
info in them... they just weren't links. So it must have been extracted
without said switch (or else packaged without the links being maintained).

--
RDS

Randy D. Smith randy (dot) d (dot) smith (at) intel (dot) com
Eclipse TPTP Committer, Platform Proj (data collection/agent controller)
Re: Agent Controller on AIX [message #67869 is a reply to message #67647] Mon, 24 April 2006 14:00 Go to previous message
Eclipse User
Originally posted by: nanee_iv.yahoo.com

Thanks Thay for the pointer.

Before attempting to go to newer version (because that requires upgrade to
my TPTP runtime as well), I created the link files manually using the
following.

ln -sf libxerces-c24.0.so libxerces-c.so
ln -sf libxerces-c24.0.so libxerces-c24.so

And that worked. Now I can start RAServer successfully. However, I can see
some error messages in the servicelog.log. I extracted just the message
part for your reference. I have seen the similar ones on windows env as
well. But the profiling seems to have worked fine (I haven't worked much
on this tool. So saying 'seems to have worked fine' may be incorrect). Is
there something I am missing interms of configuration?

Extracted messages from servicelog.log are..

msg="Plugin loader: Config file for plugin:
org.apache.jakarta_commons_logging_1.0.3 not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.execution not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.logging.core not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.logging.adapter not found"
msg="Plugin loader: Plugin: org.eclipse.tptp.platform.collection.framework
not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.execution not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.logging.core not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.execution not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.logging.core not found"
msg="Plugin loader: Plugin: org.eclipse.hyades.test.core not found"
msg="Plugin loader: Config file for plugin:
org.eclipse.tptp.platform.models_4.1.0.1 not found"
msg="Plugin loader: Config file for plugin: org.junit_3.8.1 not found"

Sateesh
Previous Topic:RAServer log error
Next Topic:Version compatibility and Drag-and-Drop feature
Goto Forum:
  


Current Time: Fri Jul 25 03:14:01 EDT 2014

Powered by FUDForum. Page generated in 0.02338 seconds